/******************************************************************************
 *
 * $Id$
 *
 * Copyright (C) 1997-1999 by Dimitri van Heesch.
 *
 * Permission to use, copy, modify, and distribute this software and its
 * documentation under the terms of the GNU General Public License is hereby 
 * granted. No representations are made about the suitability of this software 
 * for any purpose. It is provided "as is" without express or implied warranty.
 * See the GNU General Public License for more details.
 *
 * All output generated with Doxygen is not covered by this license.
 *
 * The translation into French was provided by
 *   Christophe Bordeux (bordeux@lig.di.epfl.ch)
 */

#ifndef TRANSLATOR_FR_H
#define TRANSLATOR_FR_H

#include "translator.h"

class TranslatorFrench : public Translator
{
  public:
    QCString latexBabelPackage()
    { return "french"; }
    QCString trInherits()
    { return "Hrite de"; }
    QCString trAnd()
    { return "et"; }
    QCString trInheritedBy()
    { return "Drive par"; }
    QCString trRelatedFunctions()
    { return "Fonctions associes"; }
    QCString trRelatedSubscript()
    { return "(Noter que ces fonctions ne sont pas des mthodes de la classe)"; }
    QCString trDetailedDescription()
    { return "Description dtaille"; }
    QCString trMemberTypedefDocumentation()
    { return "Documentation des types imbriqus"; }
    QCString trMemberEnumerationDocumentation()
    { return "Documentation des numrations imbriqus"; }
    QCString trMemberFunctionDocumentation()
    { return "Documentation des mthodes"; }
    QCString trMemberDataDocumentation()
    { return "Documentation des donnes imbriqus"; }
    QCString trGeneratedFrom(const char *s,bool single)
    { 
      QCString result=(QCString)"La documentation pour cette"+s+
                     " a t gnre  partir ";
      if (single) result+="du fichier suivant:";   
      else result+="des fichiers suivants:";
      return result;
    }
    QCString trMore()
    { return "Plus de dtails..."; }
    QCString trReference()
    { return "Rfrence"; }
    QCString trListOfAllMembers()
    { return "Liste de tous les membres"; }
    QCString trMemberList()
    { return "Liste des membres"; }
    QCString trThisIsTheListOfAllMembers()
    { return "Ceci est la liste complte des membres de"; }
    QCString trIncludingInheritedMembers()
    { return "y compris des membres des classes hrites."; }
    QCString trGeneratedAutomatically(const char *s)
    { QCString result="Gnr automatiquement par Doxygen"; 
      if (s) result+=(QCString)" pour "+s;
      result+="  partir du code source."; 
      return result;
    }
    QCString trEnumName()
    { return "numration"; }
    QCString trEnumValue()
    { return "lment d'une numration"; }
    QCString trDefinedIn()
    { return "dfini dans"; }
    QCString trIncludeFile()
    { return "Fichier inclu"; }
    QCString trVerbatimText(const char *f)
    { return (QCString)"Ce texte provient du fichier inclu "+f+"."; }


    QCString trModules()
    { return "Modules"; }
    QCString trClassHierarchy()
    { return "Hirarchie des classes"; }
    QCString trCompoundList()
    { return "Liste des composants"; }
    QCString trFileList()
    { return "Liste des fichiers"; }
    QCString trHeaderFiles()
    { return "Fichiers d'entte"; }
    QCString trCompoundMembers()
    { return "Composants"; }
    QCString trFileMembers()
    { return "Dclarations"; }
    QCString trRelatedPages()
    { return "Pages associes"; }
    QCString trExamples()
    { return "Exemples"; }
    QCString trSearch()
    { return "Recherche"; }
    QCString trClassHierarchyDescription()
    { return "Cette liste d'hritage est, autant que possible, "
	"classe par ordre alphabtique"; }
    QCString trFileListDescription(bool extractAll)
    {
      QCString result="Liste de tous les fichiers ";
      if (!extractAll) result+="documents ";
      result+="avec une brve description :";
      return result;
    }
    QCString trCompoundListDescription()
    { return "Liste des classes, des strutures et des unions "
	"avec une brve description :"; 
    }
    QCString trCompoundMembersDescription(bool extractAll)
    {
      QCString result="Liste de tous les membres de classe ";
      if (!extractAll) result+="documents ";
      result+="avec les liens vers ";
      if (extractAll) result+="la documentation de la classe correspondante :";
      else result+="les classes auxquelles ils appartiennent :";
      return result;
    }
    QCString trFileMembersDescription(bool extractAll)
    {
      QCString result="Liste de toutes les dclarations";
      if (!extractAll) result+="documentes ";
      result+="avec liens sur ";
      if (extractAll) result+="la documentation du fichier correspondant "
			"pour chacune :";
      else result+="les fichiers dans lesquels elles sont dfinies :";
      return result;
    }
    QCString trHeaderFilesDescription()
    { return "Liste de tous les fichiers d'entte constituant "
	"l'interface de programmation :"; }
    QCString trExamplesDescription()
    { return "Liste de tous les exemples :"; }
    QCString trRelatedPagesDescription()
    { return "Liste de toutes les pages de documentation associes :"; }
    QCString trModulesDescription()
    { return "Liste de tous les modules"; }
    QCString trNoDescriptionAvailable()
    { return "Aucune description n'est disponible"; }

    QCString trDocumentation()
    { return "Documentation"; }
    QCString trModuleIndex()
    { return "Index des modules"; }
    QCString trHierarchicalIndex()
    { return "Index hirarchique"; }
    QCString trCompoundIndex()
    { return "Index des composants"; }
    QCString trFileIndex() 
    { return "Index des fichiers"; }
    QCString trModuleDocumentation()
    { return "Documentation du module"; }
    QCString trClassDocumentation()
    { return "Documentation de la classe"; }
    QCString trFileDocumentation()
    { return "Documentation du fichier"; }
    QCString trExampleDocumentation()
    { return "Documentation de l'exemple"; }
    QCString trPageDocumentation()
    { return "Documentation de la page"; }
    QCString trReferenceManual()
    { return "Manuel de rfrence"; }

    QCString trDefines()
    { return "Dfinitions des macros"; }
    QCString trFuncProtos()
    { return "Prototypes des fonctions"; }
    QCString trTypedefs()
    { return "Dfinitions des types"; }
    QCString trEnumerations()
    { return "Enumrations"; }
    QCString trFunctions()
    { return "Fonctions"; }
    QCString trVariables()
    { return "Variables"; }
    QCString trEnumerationValues()
    { return "Elments numrs"; }
    QCString trReimplementedFrom()
    { return "Redfini  partir de"; }
    QCString trReimplementedIn()
    { return "Redfini dans"; }
    QCString trAuthor()
    { return "Auteur"; }
    QCString trDefineDocumentation()
    { return "Documentation de la macro"; }
    QCString trFunctionPrototypeDocumentation()
    { return "Documentation du prototype de la fonction"; }
    QCString trTypedefDocumentation()
    { return "Documentation du type"; }
    QCString trEnumerationTypeDocumentation()
    { return "Documentation du type de l'numeration"; }
    QCString trEnumerationValueDocumentation()
    { return "Documentation de l'lment de l'numeration"; }
    QCString trFunctionDocumentation()
    { return "Documentation de la fonction"; }
    QCString trVariableDocumentation()
    { return "Documentation de la variable"; }
    QCString trCompounds()
    { return "Composants"; }
    QCString trFiles()
    { return "Fichiers"; }
    QCString trGeneratedAt(const char *date,const char *projName)
    { 
      QCString result=(QCString)"Gnr le "+date;
      if (projName) result+=(QCString)" pour "+projName;
      result+=(QCString)" par ";
      return result;
    }
    QCString trWrittenBy()
    {
      return "crit par";
    }
    QCString trClassDiagram(const char *clName)
    {
      return (QCString)"Graphe d'hritage de la classe "+clName;
    }
    QCString trForInternalUseOnly()
    { return "A usage interne uniquement."; }
    QCString trReimplementedForInternalReasons()
    { return "Redfini pour des raisons internes; "
             "l'interface n'est pas modifie"; 
    }
    QCString trWarning()
    { return "Avertissement"; }
    QCString trBugsAndLimitations()
    { return "Bogues et limitations"; }
    QCString trVersion()
    { return "Version"; }
    QCString trDate()
    { return "Date"; }
    QCString trAuthors()
    { return "Auteur(s)"; }
    QCString trReturns()
    { return "Renvoie"; }
    QCString trSeeAlso()
    { return "Voir galement"; }
    QCString trParameters()
    { return "Paramtres"; }
    QCString trExceptions()
    { return "Exceptions"; }
    QCString trGeneratedBy()
    { return "Gnr par"; }

    // new since 0.49-990307
    
    virtual QCString trNamespaces()
    { return "Namespaces"; }
    virtual QCString trNamespaceList()
    { return "Liste des Namespaces"; }
    virtual QCString trNamespaceListDescription(bool extractAll)
    {
      QCString result="Liste de tous les namespaces ";
      if (!extractAll) result+="documents ";
      result+="avec une brve description :";
      return result;
    }
    virtual QCString trFriends()
    { return "Friends"; }
    
    // new since 0.49-990405
    
    virtual QCString trRelatedFunctionDocumentation()
    { return "Documentation des fonctions amies et associes"; }
};

#endif
